package com.ruoyi.file.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.common.core.bean.CommonPage;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.time.LocalDateTime;

public interface FilesService extends IService<FilesUpload> {
    // 修改返回类型为 FileUploadResponse
    FileUploadResponse upload(MultipartFile file);

    // 删除文件
    void deleteFile(Integer id);

    // 查询方法
    CommonPage<FilesUpload> queryFiles(String filesName, LocalDateTime startTime, LocalDateTime endTime, Boolean isDeleted, String fileType, int current, int size);
}